Bug 484315 - Review Request: perl-Class-Exporter - Export class methods as regular subroutines
Review Request: perl-Class-Exporter - Export class methods as regular subrout...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 19:44 EST by Ian Burrell
Modified: 2009-02-09 00:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 00:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2009-02-05 19:44:47 EST
Spec URL: http://znark.com/fedora/perl-Class-Exporter.spec
SRPM URL: http://znark.com/fedora/perl-Class-Exporter-0.03-1.fc10.src.rpm
Description: This module makes it much easier to make a module have a hybrid
object/method interface similar to the one of CGI.pm. You can take any
old module that has an object- oriented interface and convert it to
have a hybrid interface by simply adding "use base 'Class::Exporter'"
to your code.
Comment 1 manuel wolfshant 2009-02-05 20:07:41 EST
rpmlint is not so happy about the binary rpm:

perl-Class-Exporter.noarch: W: spurious-executable-perm /usr/share/doc/perl-Class-Exporter-0.03/README
perl-Class-Exporter.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Class/Exporter.pm

please fix the permissions of the two files (remove the exec bit)
Comment 2 manuel wolfshant 2009-02-05 20:10:45 EST
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1107988
Comment 4 manuel wolfshant 2009-02-06 22:45:31 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 1b08dbb71205a4a79df682c16903277c57451f9b  Class-Exporter-0.03.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
  [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.


================
*** APPROVED ***
================
Comment 5 Ian Burrell 2009-02-08 15:19:50 EST
New Package CVS Request
=======================
Package Name: perl-Class-Exporter
Short Description: Export class methods as regular subroutines
Owners: iburrell
Branches: F-9 F-10 EL-5
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2009-02-08 17:12:13 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.